import { Dcomm } from "dcomm/dist"
import { AdminAPI } from "dcomm/dist/apis/admin"

const ip: string = "localhost"
const port: number = 9650
const protocol: string = "http"
const networkID: number = 1337
const dcomm: Dcomm = new Dcomm(ip, port, protocol, networkID)
const admin: AdminAPI = dcomm.Admin()

const main = async (): Promise<any> => {
  const successful: boolean = await admin.startCPUProfiler()
  console.log(successful)
}

main()
